V2EX = way to explore
V2EX 是一个关于分享和探索的地方
现在注册
已注册用户请  登录
V2EX 提问指南
guojing
V2EX  ›  问与答

CentOS 6.8 自带的 openssh-server 版本只能更新到 5.3 版本,有没有安全漏洞?

  •  
  •   guojing · 2017-05-16 10:48:57 +08:00 · 2017 次点击
    这是一个创建于 1835 天前的主题,其中的信息可能已经有所发展或是发生改变。

    现在公司用的服务器是 CentOS 6.8,服务器的 openssh-server 是 5.3 版本。怕有漏洞,想更新 openssh-server。 用 yum 更新,找不到新版本。网上搜了一下,都是要自己编译安装,不敢在线上服务器编译,放弃这种方法。现在就想确定 openssh 5.3 版本有没有安全漏洞?请有经验的 V 友帮忙解答一下。 顺便问一下,如果机器放在内网,禁止访问外网,一般如何更新安全补丁?

    9 条回复    2017-05-17 17:39:15 +08:00
    hack
        1
    hack  
       2017-05-16 10:57:06 +08:00
    remote exploit
    zfyp
        2
    zfyp  
       2017-05-16 13:03:05 +08:00
    编译成 7.4 吧,编译后不能用 root 登录。
    julyclyde
        3
    julyclyde  
       2017-05-16 16:48:03 +08:00   ❤️ 1
    首先,发行版自带的各种软件一般都是不同于这个软件自己发行的版本的,会有一些补丁或者反向移植。不能一概而论说是否安全,要看里面写的修正记录
    其次,zfyp 说的完全不在点上
    Showfom
        4
    Showfom  
       2017-05-16 17:27:19 +08:00
    进 console 后,自己编译嘛

    不要直接 ssh 上去编译
    swulling
        5
    swulling  
       2017-05-16 17:32:25 +08:00
    保持安全更新即可,centos 的安全更新随 redhat,重要的漏洞都会做 backport

    强烈不推荐重新编译,以后打补丁升级都是麻烦事情
    swulling
        6
    swulling  
       2017-05-16 17:33:31 +08:00
    比如以后出了一个漏洞影响全部版本,如果你保持安全更新,可以通过定时更新的方式自动打上补丁

    但是如果是自己编译的,那还需要时刻关注漏洞信息,发现后人工编译,这种显然是不太可能的
    ladeo
        7
    ladeo  
       2017-05-16 17:46:18 +08:00 via Android
    先装个 dropbear,安装新版本 openssh-server 之后再卸载
    guojing
        8
    guojing  
    OP
       2017-05-17 15:14:56 +08:00
    @swulling 谢谢回复。请问安全更新是用 yum update --security 吗?我安全更新后 openssh 版本还是 5.3,有安全漏洞吗?
    swulling
        9
    swulling  
       2017-05-17 17:39:15 +08:00
    @guojing 大版本是不会动的,会动小版本,基本没必要担心。定时更新即可
    关于   ·   帮助文档   ·   API   ·   FAQ   ·   我们的愿景   ·   广告投放   ·   感谢   ·   实用小工具   ·   1097 人在线   最高记录 5497   ·     Select Language
    创意工作者们的社区
    World is powered by solitude
    VERSION: 3.9.8.5 · 24ms · UTC 22:50 · PVG 06:50 · LAX 15:50 · JFK 18:50
    Developed with CodeLauncher
    ♥ Do have faith in what you're doing.